%define Name jadetex
%define Version 2.20
%define TeXdir %(cd `kpsewhich -expand-var '$TEXMFMAIN'`/../..; pwd)

Name        	: %{Name}
Version     	: %{Version}
Release     	: 8
Group       	: Textprocessing/Tools

Summary     	: TeX macros used by Jade TeX output.

Copyright   	: 1996, 1997, 1998, 2000 Sebastian Rahtz; distributable
Packager    	: Eric Bischoff <eric@caldera.de>, Mark Galassi <rosalia@galassi.org>

Requires    	: sgml-common >= 0.2
Requires	: jade >= 1.2.1
PreReq		: tetex >= 0.9

BuildRoot   	: /tmp/%{Name}-%{Version}

BuildArch	: noarch
Source0		: http://www.tug.org/applications/jadetex/jadetex-2.20.zip
Source1		: jadefmtutil.cnf
# Inspired by the patch at http://ftp.debian.org/debian/dists/woody/main/source/tex/jadetex_2.20-1.diff.gz
Patch0		: %{Name}-%{Version}.Makefile.patch


%Description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files, to obtain DVI, Postscript
or PDF files for example.


%Prep
%setup -c -T
unzip %{SOURCE0}
if [ `id -u` -eq 0 ]; then
  chown -R root.root .
  chmod -R a+rX,g-w,o-w .
fi
cp %{SOURCE1} .
%patch -p0


%Build
make


%Install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR
make install DESTDIR=$DESTDIR

mkdir -p ${DESTDIR}%{TeXdir}/share/texmf/tex/jadetex
cp *.ini ${DESTDIR}%{TeXdir}/share/texmf/tex/jadetex
cp *.sty ${DESTDIR}%{TeXdir}/share/texmf/tex/jadetex
cp *.cnf ${DESTDIR}%{TeXdir}/share/texmf/tex/jadetex

mkdir -p ${DESTDIR}%{TeXdir}/bin
ln -s %{TeXdir}/bin/virtex ${DESTDIR}%{TeXdir}/bin/jadetex
ln -s %{TeXdir}/bin/pdfvirtex ${DESTDIR}%{TeXdir}/bin/pdfjadetex


%Clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Post
/usr/bin/env - PATH=$PATH:%{TeXdir}/bin texhash
/usr/bin/env - PATH=$PATH:%{TeXdir}/bin fmtutil --cnffile %{TeXdir}/share/texmf/tex/jadetex/jadefmtutil.cnf --all > /dev/null
exit 0


%Files
%defattr (-,root,root)
%{TeXdir}/share/texmf/web2c/jadetex.fmt
%{TeXdir}/share/texmf/web2c/pdfjadetex.fmt
%{TeXdir}/share/texmf/tex/jadetex/dsssl.def
%{TeXdir}/share/texmf/tex/jadetex/jadetex.ltx
%{TeXdir}/share/texmf/tex/jadetex/jadetex.ini
%{TeXdir}/share/texmf/tex/jadetex/pdfjadetex.ini
%{TeXdir}/share/texmf/tex/jadetex/dummyels.sty
%{TeXdir}/share/texmf/tex/jadetex/mlnames.sty
%{TeXdir}/share/texmf/tex/jadetex/ucharacters.sty
%{TeXdir}/share/texmf/tex/jadetex/uentities.sty
%{TeXdir}/share/texmf/tex/jadetex/unicode.sty
%{TeXdir}/share/texmf/tex/jadetex/jadefmtutil.cnf
%{TeXdir}/bin/jadetex
%{TeXdir}/bin/pdfjadetex
